/*
 * Class BOUNDED [NATURAL_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1993 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1993 [] = {0xFF01,1551,1992,854,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1993 [] = {0xFF01,1992,854,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1993 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1993 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1993 [] = {0xFF01,1992,854,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1993 [] = {0xFF01,1992,854,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1993 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1993 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1993 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1993 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1993 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1993 [] = {1992,854,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1993 [] = {0xFF01,1992,854,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1993 [] = {0xFF01,1971,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1993 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1993[] = {
	{EIF_GENERIC(NULL), 9376, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1993), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1993), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1993), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1993), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1993), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1993), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1993), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1993), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1993), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1993), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1993), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1993), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1993), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1993), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9223, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8654, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8655, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8656, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8657, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1993), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1993), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9377, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1993(void)
{
	IDSC(desc_1993, 0, 1992);
	IDSC(desc_1993 + 1, 1, 1992);
	IDSC(desc_1993 + 32, 1134, 1992);
	IDSC(desc_1993 + 41, 1395, 1992);
	IDSC(desc_1993 + 43, 878, 1992);
	IDSC(desc_1993 + 44, 554, 1992);
}


#ifdef __cplusplus
}
#endif
